summaryrefslogtreecommitdiff
path: root/add_extbase_property.sh
diff options
context:
space:
mode:
authorBenjamin Franzke <benjaminfranzke@googlemail.com>2016-01-30 20:18:06 +0100
committerBenjamin Franzke <benjaminfranzke@googlemail.com>2016-01-30 20:18:06 +0100
commit222ca2c853e0959048dd0eb6da0d649ff41c7d86 (patch)
treea8cb52a2687c907c13b31c8f967c125b391ebee5 /add_extbase_property.sh
parent5199930d15dd34f40125486f9180ee7987d23370 (diff)
downloadextbase-generator-cli-222ca2c853e0959048dd0eb6da0d649ff41c7d86.tar.gz
extbase-generator-cli-222ca2c853e0959048dd0eb6da0d649ff41c7d86.tar.bz2
extbase-generator-cli-222ca2c853e0959048dd0eb6da0d649ff41c7d86.zip
Fail if the script is not run in an extension's root dir
Diffstat (limited to 'add_extbase_property.sh')
-rwxr-xr-xadd_extbase_property.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/add_extbase_property.sh b/add_extbase_property.sh
index 6defd19..a38eda8 100755
--- a/add_extbase_property.sh
+++ b/add_extbase_property.sh
@@ -5,6 +5,11 @@
# TODO: @required support
# TODO: add relation with optional @lazy support
+if [ ! -e "ext_emconf.php" ]; then
+ echo "Error: This script needs to be run from an extensions root dir"
+ exit 1
+fi
+
model=$1
property=$2
typ=$3